## org.codehaus.groovy.ast.expr
Class StaticMethodCallExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.StaticMethodCallExpression

    public class StaticMethodCallExpression

extends Expression

A static method call on a class

Version:
  $Revision: 8256 $
Author:
  James Strachan

Constructor Summary
`StaticMethodCallExpression(ClassNode type, String method, Expression arguments)`

Method Summary
`Expression` `getArguments()`
`MetaMethod` `getMetaMethod()`
`String` `getMethod()`
`ClassNode` `getOwnerType()`
`String` `getText()`
`void` `setMetaMethod(MetaMethod metaMethod)`
`void` `setOwnerType(ClassNode ownerType)`
`String` `toString()`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`getType, setType, transformExpressions, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode
`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StaticMethodCallExpression

    public StaticMethodCallExpression(ClassNode type,
                                      String method,
                                      Expression arguments)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Description copied from class: `Expression`
  Return a copy of the expression calling the transformer on any nested expressions

  Specified by:
    `transformExpression` in class `Expression`

### getArguments

    public Expression getArguments()

### getMethod

    public String getMethod()

### getText

    public String getText()

  Overrides:
    `getText` in class `ASTNode`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getOwnerType

    public ClassNode getOwnerType()

### setOwnerType

    public void setOwnerType(ClassNode ownerType)

### setMetaMethod

    public void setMetaMethod(MetaMethod metaMethod)

### getMetaMethod

    public MetaMethod getMetaMethod()

Copyright © 2003-2009 The Codehaus. All rights reserved.